Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wps
Class ProcessBrief

    java.lang.Object
      org.deegree.ogcwebservices.wps.WPSDescription
          org.deegree.ogcwebservices.wps.ProcessBrief

Direct Known Subclasses:
  ProcessDescription

    public class ProcessBrief

extends WPSDescription

ProcessBrief.java Created on 09.03.2006. 14:13:37h Brief description of a Process, designed for Process discovery.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Christian Kiehle, Christian Heier, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wps.WPSDescription
`_abstract, identifier, title`

Constructor Summary
`ProcessBrief(Code identifier, String title)`
`ProcessBrief(Code identifier, String title, String _abstract, String processVersion, List<MetadataType> metadata)`

Method Summary
`List<MetadataType>` | `getMetadata()`
`String` | `getProcessVersion()`
`void` | `setMetadata(List<MetadataType> metadataType)`
`void` | `setProcessVersion(String value)`

Methods inherited from class org.deegree.ogcwebservices.wps.WPSDescription
`getAbstract, getIdentifier, getTitle, setAbstract, setIdentifier, setTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBrief

    public ProcessBrief(Code identifier,
                        String title,
                        String _abstract,
                        String processVersion,
                        List<MetadataType> metadata)

Parameters:
  `identifier` -
  `title` -
  `_abstract` -
  `processVersion` -
  `metadata` -

### ProcessBrief

    public ProcessBrief(Code identifier,
                        String title)

Parameters:
  `identifier` -
  `title` -

Method Detail

### getMetadata

    public List<MetadataType> getMetadata()

  Returns:
    metadata

### setMetadata

    public void setMetadata(List<MetadataType> metadataType)

  Parameters:
    `metadataType` -

### getProcessVersion

    public String getProcessVersion()

  Returns:
    processVersion

### setProcessVersion

    public void setProcessVersion(String value)

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org